package pluralkit

import (
	"os"
	"testing"

	"github.com/kr/pretty"
)

func TestMember(t *testing.T) {
	c := mkClient(t)

	member, err := c.Member(os.Getenv("PLURALKIT_MEMBER"))
	if err != nil {
		t.Fatal(err)
	}

	t.Log(pretty.Sprint(member))
}

func TestSystemMembers(t *testing.T) {
	c := mkClient(t)

	members, err := c.SystemMembers(os.Getenv("PLURALKIT_SYSTEM"))
	if err != nil {
		t.Fatal(err)
	}

	t.Log(pretty.Sprint(members))
}
